const path = require('path'),
	MiniCssExtractPlugin = require('mini-css-extract-plugin'),
	CopyWebpackPlugin = require('copy-webpack-plugin'),
	module1 = require('./webpack.config');

module.exports = Object.assign({}, module1, {
	mode: 'development',
	output: {
		filename: '[name].js',
		path: path.resolve(__dirname, 'dist-test'),
	},
	module: {
		rules: [{
			test: /\.(scss)$/,
			use: [{
				loader: MiniCssExtractPlugin.loader,
			}, {
				loader: 'css-loader',
			}, {
				loader: 'postcss-loader',
				options: {
					plugins: function () {
						return [
							require('precss'),
							require('autoprefixer'),
							require('postcss-clean')
						];
					}
				}
			}, {
				loader: 'sass-loader'
			}]
		}]
	},
	plugins: [
		new MiniCssExtractPlugin({
			path: path.resolve(__dirname, 'dist-test'),
			filename: '[name].css',
		}),
		new CopyWebpackPlugin({
			patterns: [
				{ from: 'assets' }
			]
		})
	]
});
